Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005335OCamlOCaml generalpublic2011-08-14 13:472012-09-25 20:06
Reporterdim 
Assigned Toxclerc 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version3.12.1+dev 
Summary0005335: Unix.environment segfault after a call to clearenv
DescriptionAfter a call to clearenv the C variable environ is set to NULL and this make Unix.environment to segfault:

# #require "extunix";;
/usr/lib/ocaml/unix.cma: loaded
/usr/lib/ocaml/extunix: added to search path
/usr/lib/ocaml/extunix/extunix.cma: loaded
# ExtUnix.Specific.clearenv ();;
- : unit = ()
# Unix.environment ();;
Erreur de segmentation
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2011-08-14 13:47 dim New Issue
2011-09-05 11:25 xclerc Status new => resolved
2011-09-05 11:25 xclerc Fixed in Version => 3.12.1+dev
2011-09-05 11:25 xclerc Resolution open => fixed
2011-09-05 11:25 xclerc Assigned To => xclerc
2012-09-25 20:06 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker